Comment ratings are not accessible

Bug #1568611 reported by Kristina Hoeppner on 2016-04-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
16.04
High
Robert Lyon
16.10
High
Unassigned

Bug Description

Mahara 16.04dev

The new star ratings are not accessible and would need screen-reader only text.

Reviewed: https://reviews.mahara.org/6994
Committed: https://git.mahara.org/mahara/mahara/commit/eb4e7e31bad6c91f5a9c20c8462542ad02baa74a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit eb4e7e31bad6c91f5a9c20c8462542ad02baa74a
Author: Robert Lyon <email address hidden>
Date: Thu Sep 22 09:23:36 2016 +1200

Bug 1568611: Adding accessibility to rating stars

behatnotneeded

Change-Id: Ife78860e6ba4a88fb57c6de0517caa955eb1a52e
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7009
Committed: https://git.mahara.org/mahara/mahara/commit/377aa5fb064535fa835ebb010b8c7d904989f663
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 377aa5fb064535fa835ebb010b8c7d904989f663
Author: Robert Lyon <email address hidden>
Date: Thu Sep 22 09:23:36 2016 +1200

Bug 1568611: Adding accessibility to rating stars

behatnotneeded

Change-Id: Ife78860e6ba4a88fb57c6de0517caa955eb1a52e
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit eb4e7e31bad6c91f5a9c20c8462542ad02baa74a)

Reviewed: https://reviews.mahara.org/7010
Committed: https://git.mahara.org/mahara/mahara/commit/48ce36586b07734b57aafc299636a2cae79a8b27
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 48ce36586b07734b57aafc299636a2cae79a8b27
Author: Robert Lyon <email address hidden>
Date: Thu Sep 22 09:23:36 2016 +1200

Bug 1568611: Adding accessibility to rating stars

behatnotneeded

Change-Id: Ife78860e6ba4a88fb57c6de0517caa955eb1a52e
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit eb4e7e31bad6c91f5a9c20c8462542ad02baa74a)
(cherry picked from commit 377aa5fb064535fa835ebb010b8c7d904989f663)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.04.1 → 16.04.4
milestone: 16.04.4 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
Ghada El-Zoghbi (ghada-z) wrote :

Update:

Screen readers don't read out the text when users tab into the Ratings field: arai-hidden="true" is in the span and therefore not allowing screen readers to read it.

Opened up another bug - https://bugs.launchpad.net/mahara/+bug/1645188

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers